OptFEM3DP1 Toolbox: ElemMat/ElemMassMat3DVecP1D0.m File Reference

| OptFEM3DP1 Toolbox 20130618_070730 Matlab/Octave Optimized P1-Lagrange Finite Element Method in 3D

- Main Page
- Related Pages
- Files

- File List
- File Members

All Files Functions Variables Pages
Functions
ElemMassMat3DVecP1D0.m File Reference

NAME [Kg]=ElemMassMat3DVecP1D0(volumes) INPUTS volumess : vector 1 x nme (elements volume) OUTPUTS Kg : matrix 16 x nme DESCRIPTION Compute P1-Lagrange Kg array for Mass matrix (see report). Numbering of local points in reference element is :

## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)]

Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues. More...

Go to the source code of this file.

## Functions
function Kg = | ElemMassMat3DVecP1D0 (volumes)
| NAME [Kg]=ElemMassMat3DVecP1D0(volumes) INPUTS volumess : vector 1 x nme (elements volume) OUTPUTS Kg : matrix 16 x nme DESCRIPTION Compute P1-Lagrange Kg array for Mass matrix (see report). Numbering of local points in reference element is : ## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)] Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues.

## Detailed Description

NAME [Kg]=ElemMassMat3DVecP1D0(volumes) INPUTS volumess : vector 1 x nme (elements volume) OUTPUTS Kg : matrix 16 x nme DESCRIPTION Compute P1-Lagrange Kg array for Mass matrix (see report). Numbering of local points in reference element is :

## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)]

Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues.

Definition in file ElemMassMat3DVecP1D0.m.

## Function Documentation

function Kg = ElemMassMat3DVecP1D0 | ( |  | volumes | ) |

NAME [Kg]=ElemMassMat3DVecP1D0(volumes) INPUTS volumess : vector 1 x nme (elements volume) OUTPUTS Kg : matrix 16 x nme DESCRIPTION Compute P1-Lagrange Kg array for Mass matrix (see report). Numbering of local points in reference element is :

## P=[(0, 0, 0), (1, 0, 0), (0, 1, 0), (0, 0, 1)]

Automatic generation with sage (c) Cuvelier F. email:cuvel.nosp@m.ier@.nosp@m.math..nosp@m.univ.nosp@m.-pari.nosp@m.s13..nosp@m.fr Copyright: See License issues.

Definition at line 17 of file ElemMassMat3DVecP1D0.m.